Subject: Re: [PATCH] r8169: read MAC address from EEPROM on init

From: Ivan Vecera <[email-masked]>
Date: Thu, 25 Sep 2008 11:38:12 +0200

Francois Romieu wrote:
> Ivan Vecera <[email-masked]> :
> [...]
>> OK :-), I hope the patch below is finally the right one.
> 
> My approval ratings won't surge today.
> 
> Is there a specific explanation for the 10 us delay ?
> 
> Realtek's 8168 / 8169 / 8101 drivers all use a (wildly copy'pasted ?)
> 10 ms delay. I would not mind a 10 ms sleep.
'pci_vpd_pci22_wait' uses 100us(10x10us delay) for reading, there is 1ms
(100x10us delay) in my patch, because 100us max. delay was too little for
Realtek. I tried the patch (with 1ms) on 8169,8168b and 8102e HW without
any problem. IMHO Realtek's 10ms delay (usually used for VPD write access)
is too much...

Ivan